Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.matching
Class MatcherImpl

    java.lang.Object
      com.sun.mdm.index.matching.MatcherImpl

All Implemented Interfaces:
  Matcher

public class MatcherImpl
extends java.lang.Object
implements Matcher

Impl class for Matcher. Loads and forwards requests to the adapter interface implementation configured.

Constructor Summary
`MatcherImpl()` No argument constructor.

Method Summary
`void` | `finalizer()`
`java.util.ArrayList` | `findWeights(SystemObject base, QueryResults block, MatchOptions matchOptions)` Evaluate how closely the passed in SystemObject matches the database records in the passed in block by calculating the weights
`(package private) MatcherAPI` | `getMatcherAPIImpl()` Return a reference to the loaded and instantiated matcher API implementation instance
`void` | `shutdown()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MatcherImpl

    public MatcherImpl()
                throws java.lang.Exception

  No argument constructor.

Method Detail

### finalizer

    public void finalizer()

### findWeights

    public java.util.ArrayList findWeights(SystemObject base,
                                           QueryResults block,
                                           MatchOptions matchOptions)
                                    throws MatchingException

  Evaluate how closely the passed in SystemObject matches the database records in the passed in block by calculating the weights

  Specified by:
    `findWeights` in interface `Matcher`
  Parameters:
    `base` - the SystemObject to match
    `block` - the database block of records to match against
    `matchOptions` - the options controlling the matching process
  Returns:
    an ArrayList of ScoreElements containing the EUID and associated match weights
  Throws:
    `MatchingException` - the matching process failed

### getMatcherAPIImpl

    MatcherAPI getMatcherAPIImpl()

  Return a reference to the loaded and instantiated matcher API implementation instance

### shutdown

    public void shutdown()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.